
Foreman - Refactor #16198

Remove therubyracer support

08/19/2016 08:29 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3748

  

Description

The bundler group for therubyracer (based on libv8) can be removed as there is now a development/build dependency on nodejs via 

#12364 and use of npm/webpack. execjs will automatically use nodejs when is installed, so therubyracer

We no longer have any operating systems relying on therubyracer for asset precompilation either, they all have nodejs available.

This will save time building and installing gems.

Related issues:

Related to Foreman - Refactor #11449: Don't use therubyracer anymore Closed 08/22/2015

Associated revisions

Revision 5525e303 - 08/22/2016 03:08 AM - Dominic Cleal

fixes #16198 - remove therubyracer Bundler group

NodeJS must be installed instead, which ExecJS will use automatically.

Revision 29d9b9b5 - 08/22/2016 03:11 AM - Dominic Cleal

refs #16198 - remove therubyracer.rb

Revision c4f74258 - 02/18/2017 08:44 AM - Dominic Cleal

Refs #16198 - Remove note about now unused therubyracer

History

#1 - 08/19/2016 08:30 AM - Dominic Cleal

- Related to Refactor #11449: Don't use therubyracer anymore added

#2 - 08/19/2016 08:32 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3748 added

#3 - 08/22/2016 04:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5525e303ecb07c183249a4d38e45e33b2d265384.

#4 - 08/22/2016 08:02 AM - Dominic Cleal

- translation missing: en.field_release set to 160
